# Source code for azure.mgmt.web.models.slot_difference

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from .resource import Resource

    class SlotDifference(Resource):
        """An object describing the difference in setting values between two web app
        slots.

        :param id: Resource Id
        :type id: str
        :param name: Resource Name
        :type name: str
        :param kind: Kind of resource
        :type kind: str
        :param location: Resource Location
        :type location: str
        :param type: Resource type
        :type type: str
        :param tags: Resource tags
        :type tags: dict
        :param slot_difference_type: Indicates the type of the difference:
         Information, Warning or Error.
        :type slot_difference_type: str
        :param setting_type: The type of the settings: General, AppSetting or
         ConnectionString
        :type setting_type: str
        :param diff_rule: Rule that describes how to process the difference in
         settings during web app slot swap.
        :type diff_rule: str
        :param setting_name: Name of the setting
        :type setting_name: str
        :param value_in_current_slot: Value of the setting in the current web app
         slot
        :type value_in_current_slot: str
        :param value_in_target_slot: Value of the setting in the target web app
         slot
        :type value_in_target_slot: str
        :param description: Description of the difference
        :type description: str
        """

        _validation = {
            'location': {'required': True},
        }

        _attribute_map = {
            'id': {'key': 'id', 'type': 'str'},
            'name': {'key': 'name', 'type': 'str'},
            'kind': {'key': 'kind', 'type': 'str'},
            'location': {'key': 'location', 'type': 'str'},
            'type': {'key': 'type', 'type': 'str'},
            'tags': {'key': 'tags', 'type': '{str}'},
            'slot_difference_type': {'key': 'properties.type', 'type': 'str'},
            'setting_type': {'key': 'properties.settingType', 'type': 'str'},
            'diff_rule': {'key': 'properties.diffRule', 'type': 'str'},
            'setting_name': {'key': 'properties.settingName', 'type': 'str'},
            'value_in_current_slot': {'key': 'properties.valueInCurrentSlot', 'type': 'str'},
            'value_in_target_slot': {'key': 'properties.valueInTargetSlot', 'type': 'str'},
            'description': {'key': 'properties.description', 'type': 'str'},
        }

        def __init__(self, location, id=None, name=None, kind=None, type=None, tags=None, slot_difference_type=None, setting_type=None, diff_rule=None, setting_name=None, value_in_current_slot=None, value_in_target_slot=None, description=None):
            super(SlotDifference, self).__init__(id=id, name=name, kind=kind, location=location, type=type, tags=tags)
            self.slot_difference_type = slot_difference_type
            self.setting_type = setting_type
            self.diff_rule = diff_rule
            self.setting_name = setting_name
            self.value_in_current_slot = value_in_current_slot
            self.value_in_target_slot = value_in_target_slot
            self.description = description